Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.httpheaders
Class HttpHeadersInspectorModel.AbstractHeadersModel<T extends ModelItem>

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.httpheaders.HttpHeadersInspectorModel.AbstractHeadersModel<T>

All Implemented Interfaces:
  HttpHeadersInspectorModel, java.beans.PropertyChangeListener, java.util.EventListener

Enclosing interface:
  HttpHeadersInspectorModel

    public abstract static class HttpHeadersInspectorModel.AbstractHeadersModel<T extends ModelItem>

extends java.lang.Object
implements HttpHeadersInspectorModel, java.beans.PropertyChangeListener

Nested Class Summary

Nested classes/interfaces inherited from interface com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.httpheaders.HttpHeadersInspectorModel
`HttpHeadersInspectorModel.AbstractHeadersModel<T extends ModelItem>`

Constructor Summary
`protected` | `HttpHeadersInspectorModel.AbstractHeadersModel(boolean readOnly, T modelItem, java.lang.String propertyName)`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`T` | `getModelItem()`
`boolean` | `isReadOnly()`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)`
`void` | `release()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `setHeaders(StringToStringMap headers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.httpheaders.HttpHeadersInspectorModel
`getHeaders`

Constructor Detail

### HttpHeadersInspectorModel.AbstractHeadersModel

    protected HttpHeadersInspectorModel.AbstractHeadersModel(boolean readOnly,
                                                             T modelItem,
                                                             java.lang.String propertyName)

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `HttpHeadersInspectorModel`

### isReadOnly

    public boolean isReadOnly()

  Specified by:
    `isReadOnly` in interface `HttpHeadersInspectorModel`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `HttpHeadersInspectorModel`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### release

    public void release()

  Specified by:
    `release` in interface `HttpHeadersInspectorModel`

### getModelItem

    public T getModelItem()

### setHeaders

    public void setHeaders(StringToStringMap headers)

  Specified by:
    `setHeaders` in interface `HttpHeadersInspectorModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.